## GimpItemComboBox GimpItemComboBox |

## Functions

gboolean | (*GimpItemConstraintFunc) ()
GtkWidget * | gimp_drawable_combo_box_new ()
GtkWidget * | gimp_channel_combo_box_new ()
GtkWidget * | gimp_layer_combo_box_new ()
GtkWidget * | gimp_vectors_combo_box_new ()

## Types and Values

| GimpDrawableComboBox
typedef | GimpDrawableConstraintFunc
| GimpChannelComboBox
| GimpLayerComboBox
| GimpVectorsComboBox
typedef | GimpVectorsConstraintFunc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkComboBox
                                ╰── GimpIntComboBox
                                    ├── GimpChannelComboBox
                                    ├── GimpDrawableComboBox
                                    ├── GimpLayerComboBox
                                    ╰── GimpVectorsComboBox

## Implemented Interfaces

GimpDrawableComboBox implements AtkImplementorIface, GtkBuildable, GtkCellLayout and GtkCellEditable.

GimpChannelComboBox implements AtkImplementorIface, GtkBuildable, GtkCellLayout and GtkCellEditable.

GimpLayerComboBox implements AtkImplementorIface, GtkBuildable, GtkCellLayout and GtkCellEditable.

GimpVectorsComboBox implements AtkImplementorIface, GtkBuildable, GtkCellLayout and GtkCellEditable.

## Description

## Functions

### GimpItemConstraintFunc ()

    gboolean
    (*GimpItemConstraintFunc) (gint32 image_id,
                               gint32 item_id,
                               gpointer data);

### gimp_drawable_combo_box_new ()

    GtkWidget *
    gimp_drawable_combo_box_new (GimpDrawableConstraintFunc constraint,
                                 gpointer data);

Since: GIMP 2.2

### gimp_channel_combo_box_new ()

    GtkWidget *
    gimp_channel_combo_box_new (GimpDrawableConstraintFunc constraint,
                                gpointer data);

Since: GIMP 2.2

### gimp_layer_combo_box_new ()

    GtkWidget *
    gimp_layer_combo_box_new (GimpDrawableConstraintFunc constraint,
                              gpointer data);

Since: GIMP 2.2

### gimp_vectors_combo_box_new ()

    GtkWidget *
    gimp_vectors_combo_box_new (GimpVectorsConstraintFunc constraint,
                                gpointer data);

Since: GIMP 2.4

## Types and Values

### GimpDrawableComboBox

    typedef struct _GimpDrawableComboBox GimpDrawableComboBox;

### GimpDrawableConstraintFunc

    typedef GimpItemConstraintFunc GimpDrawableConstraintFunc;

### GimpChannelComboBox

    typedef struct _GimpChannelComboBox GimpChannelComboBox;

### GimpLayerComboBox

    typedef struct _GimpLayerComboBox GimpLayerComboBox;

### GimpVectorsComboBox

    typedef struct _GimpVectorsComboBox GimpVectorsComboBox;

### GimpVectorsConstraintFunc

    typedef GimpItemConstraintFunc GimpVectorsConstraintFunc;